#include "CameraComponent.h"

auto CameraComponent::getAngles() -> glm::vec4 {
	return *reinterpret_cast<glm::vec4*>((uintptr_t)this + 0x30);
}

auto CameraComponent::setAngles(glm::vec4 angle) -> void {
	*reinterpret_cast<glm::vec4*>((uintptr_t)this + 0x30) = angle;
}

auto CameraComponent::getPos() -> glm::vec3 {
	return *reinterpret_cast<glm::vec3*>((uintptr_t)this + (0x30 + (sizeof(float) * 3)));
}

auto CameraComponent::setPos(glm::vec3 pos) -> void {
	*reinterpret_cast<glm::vec3*>((uintptr_t)this + (0x30 + (sizeof(float) * 3))) = pos;
}
